## maemoplazer 1.0.3

=== Makefile ===
all:
	python2.5 setup.py build  
clean: 
	python2.5 setup.py clean --all
install:
	python2.5 setup.py install --root $(DESTDIR) 
svnsymlinks:
	PREFIX=`pwd`
	ln -fs $PREFIX/src/SimpleGladeApp.py /usr/lib/python2.5/site-packages/SimpleGladeApp.py
	ln -fs $PREFIX/src/pyplazer/ /usr/lib/python2.5/site-packages/pyplazer
	ln -fs $PREFIX/src/maemoplazer/ /usr/lib/python2.5/site-packages/maemoplazer
	chmod a+x bin/*
	ln -fs $PREFIX/bin/maemoplazer /usr/bin/maemoplazer
	ln -fs /usr/bin/maemoplazer /usr/bin/maemoplazer.py
	ln -fs $PREFIX/data /usr/share/maemoplazer
	ln -fs $PREFIX/data/maemoplazer.service /usr/share/dbus-1/services/maemoplazer.service
	ln -fs $PREFIX/data/maemoplazer.desktop /usr/share/applications/hildon/maemoplazer.desktop
	ln -fs /usr/share/applications/hildon/maemoplazer.desktop /etc/others-menu/extra_applications/0120_maemoplazer.desktop

## maemoplazer 1.0

=== debian/changelog ===
maemoplazer (1.0) unstable; urgency=low

  * Initial Release.

 -- unknown <ferenc@maemo.org>  Sun, 11 Feb 2007 23:33:56 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: maemoplazer
Section: user/other
Priority: optional
Maintainer: Ferenc Szekely <ferenc@maemo.org>
Build-Depends: debhelper (>= 4.0.0), python2.5-dev
Standards-Version: 3.6.1

Package: maemoplazer
Architecture: any
Depends: python2.5, python2.5-hildon, python2.5-gtk2
Description: Plazes geopositioning client for the Maemo platform.
 It can be used for connecting WiFi access points to physical locations 
 using the Plazes database.
XB-Maemo-Icon-26:
 MB5!.1PT*&@H````-24A$4@```!H````:"`8```"I2DS.````!F)+1T0`_P#_
 M`/^@O:>3````"7!(67,```!(````2`!&R6L^```&O4E$051(Q]V52XQ<1Q6&
 MOZJZ]W;?[IY^S/38,[;G$0^QB1V+3";.RP$'QX`$&Q*!LHD4$$HDI$@1"S9D
 M@Z(("&(#BR!`2$`V*$ALC-A822S'29"PR<.>8$\F'GO&\^B>?O=]==][JUC$
 M#GE`EBSXI5H<J<[_'54=G0/_;Q(?#LKW/8;!"(6:%%K,&6%J74>_>]BW,DAY
 M&[!@#)/B_:PMX!]:BS<<)P[/G#D$//'?0:-''G>ED7F-.8`PAS'<(80H`W^2
 M2?K7.9G=OVMR]+&%A<_<N7=NUV1I))_O>0$;Z^W@\N6-S>7E];/MMO>K?C\Z
 ML[CQV^1R<1H_FT5IS<'EY0^![GW\IP*.&Y@&7"`&?N:$P^=N'1M[:'Y^WU/'
 MOS0_G2_F9:6<8\=XB0M+JW2B#'&OP]#KFU=.GU_[Y\759V^I+_WAZ<$%$ZAL
 M7`K#86#;[%E9`4!EIPZO"4P).`@X1I@7,.*9?;;[U>/'%W[T]8?NG9*.%"KK
 MHFR'K:8'3@%I*=RLYO9#L^+`@3VE5JN[<'9;;]ZC6\LYD>X(+2M.E8I_T6R^
 M#\I-S3>`%H@[@4`+\X,=S8%[].BA9QY]]"L'QJI%<JZ-,9"O[*10'D5(A:4C
 MQDLNXV,5JF-%BL5LX=JU^N[?KSNGOIVNZ,AR)B1TGJQ6DY\W&DAA@4'N-%#"
 M\)+IQ5=NFITX=O?=!^[:MV^*D;Q+UQ^BW!+*LE!2X5@2DT0T6AUJC1:I-LS-
 M37+;;7L7W&KQ@3=UL2>-GM%"S-XT/L[ORF5DL:4`DQ<0(LS?,BT_NW__G@<.
 MWCJKO&#`&Y?6D(4=Y$8J(!4:0Y(FC+@.V8S#RD:+Q:55TE0S.SLF]TQ5COW:
 MS#@*A!!BWW*CD;]OURZL:.8\HGT@!=%"<\W6N/E\]E`4#SAQ9I'"V&YR)D.<
 M:J00#.,8*PVY>>\T0D"<I*Q<7>/RZ@8]/T`*];DMY>:D(!!P4!GS%N#+N'$+
 M!M$!FD:(H>W85A`,2N$@Q6B-B0.:K29;[9!&+Z+5"TGC"*4D4DH<VZ)<++"Y
 MW:;5'3(<FF)J6=(8HXTQ>[00%0U8B1"@J0EA5A%DE*U,X`_Z2ROM'9&=X?;/
 MND@,2[4ZD<B3)@E;242]=8%=.RI,3XRBTYA!;%A:;6.,Z=M&:Q`Y(<2X,"8'
 M8"'`8#:!2V@S&DNNA.'@PG:M/3>R>X*)\3(EUR'GMOG[I1H;74D8:_H]GYL;
 M$5FE:;?;+%^I,?`3AH/DP@Q!I!$W`84;TT>&5I/NCW_32H6X8*3(>44UJ-7;
 M+[<WZ]KK>:QM--'&,+5SE*R(V6YV:'1"FK[FRE:'S=HVM7J3;KM/X@6FV_=?
 M^I:YFF@X#"1(Z2$EUN"5/U-^ZG$07!1&9+25K=:WNR^OK]7/94K%PW\Y%3.:
 M5VB=<FF]QU8G)=$#@BA!A1[;#4.]MHT.-=U6[\U!MW]R/_Y=`Z%N`<X+8]H`
 M"B!:.X<[,1^C30\E"J&5;BLO[F>5N'>L4LSOK-J\]O8*IR[VZ`\%_6"`YT=X
 M_3Y%X='=]EB]TFVL;[:>_:7WVE4+\SU@#B@!581(U8VAY^Y=0&?L@3*)GXI$
 MZ31>2GJ#CAX.YBVE\VNU0-0[,6$8D08^;N*QTTI)>J%Y=ZE>W]QJ_>3[[7.G
 M9HS_A('/&[#$^W.S)V#M(VNB>M]WD",[2>N71.PWF%+3F7*Y<D^IE/]N9:QP
 M?V6T.)YQ74RJ"7R?=JO7:#7],X$?/?=TY_6K>_&^:9"S`O.VAG-&B!5EC"]@
 M\!'0QW7LV!=)4[TOCN7M0N0?F9R8_EJQ5"7P0\*PRW9C_62<=/]8C?VWG]S<
 M[.V&^L7Q\<XWSI_GX\8?Q$>/'D5K+6W;OD,(<3<PJK56CN-\869FYHCC.*I2
 M*5,N5P@"GW[?H]5JH;76JZNKYX(P?-VV;<]2*KZ^:EX%7@.&+[[XXK]!)T^>
 M1$I9WMK:>DQ*^4B2)'-1%+FG3Y^6#S_\,*.CHX1A2+%81%Q?L<88WGOO/4Z<
 M.,&1(T=P'`?+LH;9;+9;*!1>B./XAT#CP0<?Q+H!ZG0Z""'2)$G6M-9O=;M=
 MNMWN=!B&I7?>>4?D<CF"(,"RK(^`/,\C#$-65E9P73?.Y7*U:K5ZT;;M):74
 M\(;_!Z#GGW\>*64019$OA$B,,5M:ZRXPM[BX.*F4$L:83_QCFJ:FU^LUSIX]
 M>\VRK$`I%0!=*>6U0J$0WLCYM&80V6RV,#\__V7;MH\E23*BM<X88RQCC`2,
 M$")52@6>Y[VZN+CX<IJF=:`'?**B3^VZC]W+`IGKKR"OFZ7`X/I)_Q/@?ZY_
 5`9V7><6BM6OU`````$E%3D2N0F""

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#configure: configure-stamp
#configure-stamp:
#	dh_testdir
	# Add here commands to configure the package.

#	touch configure-stamp

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/maemoplazer.sgml > maemoplazer.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp debian/files

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/maemoplazer.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/maemoplazer


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## maemoplazer 1.0.1

=== debian/changelog ===
maemoplazer (1.0.1) unstable; urgency=low

  * Fixing missing dependencies (#391 and #396)

 -- Ferenc Szekely <ferenc@maemo.org>  Wed, 14 Feb 2007 01:07:03 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: maemoplazer
 Architecture: any
-Depends: python2.5, python2.5-hildon, python2.5-gtk2
+Depends: python2.5, python2.5-hildon, python2.5-gtk2, python2.5-xml, python2.5-dbus, python2.5-osso, 
 Description: Plazes geopositioning client for the Maemo platform.
  It can be used for connecting WiFi access points to physical locations 
  using the Plazes database.

## maemoplazer 1.0.2

=== debian/changelog ===
maemoplazer (1.0.2) unstable; urgency=low

  * Adding a postinst script to fix #406

 -- Ferenc Szekely <ferenc@maemo.org>  Wed, 14 Feb 2007 22:11:39 +0200

## maemoplazer 1.0.3

=== debian/changelog ===
maemoplazer (1.0.3) unstable; urgency=low

  * bugfixing, some refactoring, updated README, using urllib instead of curl

 -- Ferenc Szekely <ferenc@maemo.org>  Tue, 17 Jul 2007 15:56:18 +0300

## maemoplazer 1.0.4

=== Makefile ===
--- 
+++ 
@@ -11,9 +11,20 @@
 	ln -fs $PREFIX/src/maemoplazer/ /usr/lib/python2.5/site-packages/maemoplazer
 	chmod a+x bin/*
 	ln -fs $PREFIX/bin/maemoplazer /usr/bin/maemoplazer
-	ln -fs /usr/bin/maemoplazer /usr/bin/maemoplazer.py
 	ln -fs $PREFIX/data /usr/share/maemoplazer
 	ln -fs $PREFIX/data/maemoplazer.service /usr/share/dbus-1/services/maemoplazer.service
 	ln -fs $PREFIX/data/maemoplazer.desktop /usr/share/applications/hildon/maemoplazer.desktop
 	ln -fs /usr/share/applications/hildon/maemoplazer.desktop /etc/others-menu/extra_applications/0120_maemoplazer.desktop
-	
+	ln -fs $PREFIX/data/position_maemoplazer.desc /usr/share/geoclue/backend/position_maemoplazer.desc 
+rmsvnsymlinks:
+	rm -f /usr/lib/python2.5/site-packages/SimpleGladeApp.py
+	rm -f /usr/lib/python2.5/site-packages/pyplazer
+	rm -f /usr/lib/python2.5/site-packages/maemoplazer
+	rm -f /usr/bin/maemoplazer
+	rm -f /usr/bin/maemoplazer.py
+	rm -f /usr/share/maemoplazer
+	rm -f /usr/share/dbus-1/services/maemoplazer.service
+	rm -f /usr/share/applications/hildon/maemoplazer.desktop
+	rm -f /etc/others-menu/extra_applications/0120_maemoplazer.desktop
+	rm -f /usr/share/geoclue/backend/position_maemoplazer.desc 
+

=== debian/changelog ===
maemoplazer (1.0.4) unstable; urgency=low

  * Rebuild from SVN
  * Fixes conflict with geoclue plazes backend
  * fixes #1009

 -- Eero af Heurlin <rambo@iki.fi>  Wed, 26 Sep 2007 21:50:39 +0300

## maemoplazer 1.0.5

=== debian/changelog ===
maemoplazer (1.0.5) unstable; urgency=low

  * Rebuild from SVN
  * Glade userame/password dialog to work in OS2008

 -- Eero af Heurlin <rambo@iki.fi>  Wed, 9 Jan 2008 17:30:39 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: maemoplazer
 Architecture: any
-Depends: python2.5, python2.5-hildon, python2.5-gtk2, python2.5-xml, python2.5-dbus, python2.5-osso, 
+Depends: python2.5, python2.5-hildon, python2.5-gtk2, python2.5-xml, python2.5-dbus, python2.5-osso
 Description: Plazes geopositioning client for the Maemo platform.
  It can be used for connecting WiFi access points to physical locations 
  using the Plazes database.
